Page MenuHomePhabricator

Access level to Wikibase\Repo\Diff\EntityContentDiffView::getRevisionHeader() must be public
Closed, ResolvedPublic

Description

Just deployed 1.29.0-wmf.7 to group1 wikis and seeing this error quite a bit

Fatal error: Access level to Wikibase\Repo\Diff\EntityContentDiffView::getRevisionHeader() must be public (as in class DifferenceEngine) or weaker in /srv/mediawiki/php-1.29.0-wmf.7/extensions/Wikidata/extensions/Wikibase/repo/includes/Diff/EntityContentDiffView.php on line 36

Details

Related Gerrit Patches:
mediawiki/core : wmf/1.29.0-wmf.7Change Wikidata target branch
mediawiki/extensions/Wikidata : wmf/1.29.0-wmf.5.1New build
mediawiki/extensions/Wikibase : wmf/1.29.0-wmf.5.1Make EntityContentDiffView::getRevisionHeader public

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 4 2017, 8:10 PM
matmarex added a subscriber: ashley.Jan 4 2017, 8:15 PM
Addshore claimed this task.Jan 4 2017, 8:24 PM
Addshore triaged this task as High priority.
Addshore added a project: WMDE-QWERTY-Team.
Restricted Application added a project: User-Addshore. · View Herald TranscriptJan 4 2017, 8:24 PM

Change 330468 had a related patch set uploaded (by Addshore):
Make EntityContentDiffView::getRevisionHeader public

https://gerrit.wikimedia.org/r/330468

Change 330468 merged by jenkins-bot:
Make EntityContentDiffView::getRevisionHeader public

https://gerrit.wikimedia.org/r/330468

Change 330479 had a related patch set uploaded (by Addshore):
New build

https://gerrit.wikimedia.org/r/330479

Once the above patch / new build has been merged wmf7 and Wikidata wmf5.1 should work together.

a 5.1 branch was created to keep core wmf5 and wikidata / wikibase wmf5 compatible with each other.
wmf6 and wmf7 were not used as they already include many other changes.
wmf5.1 of wikibase / wikidata allows a minimal change / update.

Addshore moved this task from Proposed to Currently in sprint on the WMDE-QWERTY-Team board.

Change 330479 merged by jenkins-bot:
New build

https://gerrit.wikimedia.org/r/330479

matmarex removed a subscriber: matmarex.Jan 4 2017, 9:38 PM

Change 330590 had a related patch set uploaded (by Thcipriani):
Change Wikidata target branch

https://gerrit.wikimedia.org/r/330590

Change 330590 merged by jenkins-bot:
Change Wikidata target branch

https://gerrit.wikimedia.org/r/330590

Addshore closed this task as Resolved.Jan 6 2017, 2:23 PM
Addshore moved this task from Currently in sprint to Done on the WMDE-QWERTY-Team board.
Addshore moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Jan 24 2017, 1:26 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM